Bug 734298 - abrt has many strings not to be able to translate
Summary: abrt has many strings not to be able to translate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 16
Hardware: All
OS: Linux
high
unspecified
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ABRTF17
TreeView+ depends on / blocked
 
Reported: 2011-08-30 02:57 UTC by Cheng-Chia Tseng
Modified: 2015-02-01 22:54 UTC (History)
12 users (show)

Fixed In Version: abrt-2.0.10-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-18 23:00:20 UTC


Attachments (Terms of Use)
most of the inferface strings cannot be translate (44.02 KB, image/png)
2011-08-30 02:57 UTC, Cheng-Chia Tseng
no flags Details

Description Cheng-Chia Tseng 2011-08-30 02:57:43 UTC
Created attachment 520507 [details]
most of the inferface strings cannot be translate

Description of problem:
ABRT master on Transifex.net for translation does not include all the strings showed in ABRT interface.
For example, "source", "not submitted reports", "submitted reports", "date submitted", etc. cannot be translated via ABRT master on Transifex.net.
The link: https://www.transifex.net/projects/p/fedora-abrt/resource/master/

Version-Release number of selected component (if applicable): 2.0.4
How reproducible:


Steps to Reproduce:
1. launch abrt
2. check the interface with ABRT master po file from Transifex.net
3.
  
Actual results:
Most of the strings seen is not translatable.

Expected results:
The strings what we seen can be translated via the po file from Transifex.net

Additional info:

Comment 1 A S Alam 2011-08-30 06:22:22 UTC
*** Bug 734294 has been marked as a duplicate of this bug. ***

Comment 2 Fedora Update System 2011-11-05 18:58:47 UTC
abrt-2.0.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/abrt-2.0.6-1.fc16

Comment 3 Fedora Update System 2011-11-06 23:56:08 UTC
Package abrt-2.0.6-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.6-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15513
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-11-21 22:52:04 UTC
abrt-2.0.6-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Cheng-Chia Tseng 2011-11-22 05:39:33 UTC
There are still some strings cannot be translated via the po file now.

Click Edit > Preferences, and the messages below canoot be translated:

Event Configuration, Event, Configure Event, Collect .xsession-errors, Collect Smolt profile, Retrace server

Remaining parts seem fine now.

Comment 6 Jiri Moskovcak 2011-12-01 08:40:49 UTC
(In reply to comment #5)
> There are still some strings cannot be translated via the po file now.
> 
> Click Edit > Preferences, and the messages below canoot be translated:
> 
Event Configuration, 
Event, 
Configure Event, 

- ^ these are now translatable in libreport.po


Collect .xsession-errors
Collect Smolt profile
Retrace server

- ^ these are missing '_' prefix in the xml.in file and that's why they're not translatable

> 
> Remaining parts seem fine now.

Comment 7 Cheng-Chia Tseng 2011-12-01 15:42:07 UTC
> Event Configuration, 
> Event, 
> Configure Event, 
> 
> - ^ these are now translatable in libreport.po

Traditional Chinese (Taiwan) has already trnslated libreport into 100% on Sep 27, but it still showed those strings in English. Is there something wrong with libreport?

> - ^ these are missing '_' prefix in the xml.in file and that's why they're not
> translatable

Could they be improved?

Comment 8 Jiri Moskovcak 2012-03-19 12:51:44 UTC
(In reply to comment #7)
> > Event Configuration, 
> > Event, 
> > Configure Event, 
> > 
> > - ^ these are now translatable in libreport.po
> 
> Traditional Chinese (Taiwan) has already trnslated libreport into 100% on Sep
> 27, but it still showed those strings in English. Is there something wrong with
> libreport?
> 
> > - ^ these are missing '_' prefix in the xml.in file and that's why they're not
> > translatable
> 
> Could they be improved?

Comment 9 Jiri Moskovcak 2012-03-19 14:09:32 UTC
Fixed in git (commit: dbc5aede20ed87f6b7dcb4040d26655e5437c1d2)

Comment 10 Fedora Update System 2012-03-27 10:18:27 UTC
abrt-2.0.9-1.fc17, libreport-2.0.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.9-1.fc17,libreport-2.0.10-1.fc17

Comment 11 Fedora Update System 2012-03-28 05:59:17 UTC
Package abrt-2.0.9-1.fc17, libreport-2.0.10-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.9-1.fc17 libreport-2.0.10-1.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4804/abrt-2.0.9-1.fc17,libreport-2.0.10-1.fc17
then log in and leave karma (feedback).

Comment 12 Noriko Mizumoto 2012-03-28 23:58:05 UTC
I am now unable to start abrt in GUI.

1. Updated specified versions.
2. Rebooted.
3. run abrt-gui
4. Error message

Gtk-Message: Failed to load module "pk-pkg-module"
Glib-CRITICAL **: g_variant_get_va: assertion 'value !=NULL' failed
Glib-CRITICAL **: g_variant_iter_loop: assertion 'first_time || format_string == GVSI (iter)->loop_format' failed
Glib-CRITICAL **: g-variant-iter_free: assertion 'is_valid_heap_iter (iter)' failed
Can't get problem list from abrt-dbus

Comment 13 Jiri Moskovcak 2012-03-29 18:52:18 UTC
(In reply to comment #12)
> I am now unable to start abrt in GUI.
> 
> 1. Updated specified versions.
> 2. Rebooted.
> 3. run abrt-gui
> 4. Error message
> 
> Gtk-Message: Failed to load module "pk-pkg-module"
> Glib-CRITICAL **: g_variant_get_va: assertion 'value !=NULL' failed
> Glib-CRITICAL **: g_variant_iter_loop: assertion 'first_time || format_string
> == GVSI (iter)->loop_format' failed
> Glib-CRITICAL **: g-variant-iter_free: assertion 'is_valid_heap_iter (iter)'
> failed
> Can't get problem list from abrt-dbus

There is bug #808131 for this issues, please add any further comments there and leave this one for its original purpose.

Comment 14 Fedora Update System 2012-04-02 13:34:24 UTC
abrt-2.0.10-1.fc17,libreport-2.0.10-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.10-1.fc17,libreport-2.0.10-2.fc17

Comment 15 Fedora Update System 2012-04-18 23:00:20 UTC
abrt-2.0.10-1.fc17, libreport-2.0.10-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.